Skip to content

Comment

Manage comments on platform entities. Supports fetching comments by asset and comment ID, creating a comment with an optional attachment, updating comment text, media, external reply metadata, or channel sync fields, and deleting comments.

Fetch comment(s) by asset and comment id(s)

Request

Security
bearerAuth and apiKeyAuth
Query
entityTypestring

Entity type (enum name, e.g. CASE)

entityIdstring

Id of the entity

idstring

Comment id(s): one id or comma-separated list (max 50), same entityType/entityId

curl -i -X GET \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/comment?entityType=string&entityId=string&id=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
Array [
idstring

Unique Id of the comment.

textstring

Text of the comment.

attachmentany(Attachment)
commentingUserinteger, (int64)

Sprinklr User Id who made the comment.

createdTimeinteger, (int64)

Time when the comment was made.

modifiedTimeinteger, (int64)

Time when the comment was last updated.

entityTypestring

Entity type on which the asset was created.

entityIdstring

Id of the entity on which the comment was created.

conversationIdstring

Conversation Id of the entity on which the comment was created, if applicable.

externalCommentobject(ExternalComment)

Details of channel comment, if applicable

isPrivateboolean

Private comment here represents comment is internal and won't be synced to third party integration.

inReplyToCommentIdstring

Parent comment's id to which this is a reply

]
Response
[ { "id": "string", "text": "string", "attachment": { … }, "commentingUser": 0, "createdTime": 0, "modifiedTime": 0, "entityType": "string", "entityId": "string", "conversationId": "string", "externalComment": { … }, "isPrivate": true, "inReplyToCommentId": "string" } ]